/***************************************************************************
 *       Copyright (c) 2003,2004 by Marcel Wiesweg                         *
 *                 (c) Clemens Kirchgatterer <clemens@thf.ath.cx> 2002     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// Originally taken from the tetris plugin, a lot has changed since then


#ifndef OSDTELETEXT_DISPLAY_H_
#define OSDTELETEXT_DISPLAY_H_

#include <vdr/osd.h>

namespace Display {

enum Mode { Full, ZoomUpper, ZoomLower, HalfUpper, HalfLower };

enum TeletextColor { ColorBlack=0, ColorRed, ColorGreen, ColorYellow, 
                     ColorBlue, ColorMagenta, ColorCyan, ColorWhite };
enum TeletextColorType { ColorTypeNormal, ColorTypeInverted };

#define configurableBackground Display::GetBackground()

int  Open(Mode mode);
int  Close(void);
int  Bpp();
int  CheckMode(Mode mode);
int  Width(void);
int  Height(void);
int  FontHeight(void);
tColor GetBackground();
void SetBackground(tColor bg);
void SetBitmapPalette(cBitmap &bitmap);
void DrawBitmap(int x, int y, const cBitmap &bitmap);
void Message(const char *txt);
void ClearMessage();
void Update(void);
tColor GetColor(TeletextColor color, TeletextColorType type=ColorTypeNormal);

}

#endif
