/***************************************************************************
 *       Copyright (c) 2003,2004 by Marcel Wiesweg                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OSDTELETEXT_TXTBITMAP_H
#define OSDTELETEXT_TXTBITMAP_H

#include <vdr/osdbase.h>
#include <vdr/osd.h>
#include "display.h"

class cTxtBitmap : public cBitmap {
private:
   tColor bgColor;
   tColor fgColor;
   Display::TeletextColor origFg, origBg;
   int Language;
   unsigned char LangChar(unsigned char);
   void IndexBitmap(cBitmap *bitmap, int depth);
   void GenClockBitmap(cBitmap * bitmap);
public:
   cTxtBitmap(int, int);
   virtual ~cTxtBitmap();
   void SetFGColor(Display::TeletextColor Color);
   void SetBGColor(Display::TeletextColor Color);
   void SetLanguage(int lang);
   void SetChar(int , int , unsigned char , bool , bool , bool );
   void ExchangeColor(void);
   void Display(Display::Mode mode, int Offset = -1, tColor FgColor = clrWhite, tColor BgColor = configurableBackground);
   void DisplayClock();
   cBitmap *ScaleBitmap(cBitmap* oldBitmap, int depth, int x0, int y0, int walt, int halt, int wneu, int hneu);
};

#endif
